Debian Bug report logs - #164354
phpgroupware postrm halt the purge/uninstalltion process

version graph

Package: phpgroupware; Maintainer for phpgroupware is (unknown);

Reported by: <hec@espuny.net>

Date: Fri, 11 Oct 2002 19:03:04 UTC

Severity: grave

Tags: patch, sid

Fixed in versions phpgroupware-phpgroupware/0.9.14.000-1, phpgroupware/0.9.14.007-4

Done: Thomas Viehmann <tv@beamnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to <hec@espuny.net>:
New Bug report received and forwarded. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: <hec@espuny.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: phpgroupware postrm halt the purge/uninstalltion process
Date: Fri, 11 Oct 2002 20:59:00 +0200
Package: phpgroupware
Version: 0.9.14-0.RC3.2
Severity: serious
Tags: patch
Justification: Policy 6.3

postrm script stops in non-interactive mode (which is one of the worst
debconf practices) when running 'dpkg --purge phpgroupware'.

The output of the command is

dpkg - warning: while removing phpgroupware, directory
`/etc/phpgroupware' not empty so not removed.
Purging configuration files for phpgroupware ...
dpkg: error processing phpgroupware (--purge):
 subprocess post-removal script killed by signal (Interrupt)

and then it dies in a non-interactive mode (you have to issue one/two
CTRL-C to return to a prompt)

This behaviour has been observed on systems with perl 5.8.0 envirovment
and debconf version 1.2.10 (unstable).

The problem is resolved if you include a 'db_stop' command just before
the last 'exit 0' on postrm script.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux RA 2.4.18-586tsc #1 Sun Apr 14 10:57:57 EST 2002 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages phpgroupware depends on:
ii  apache                    1.3.26-1       Versatile, high-performance HTTP s
ii  apache [httpd]            1.3.26-1       Versatile, high-performance HTTP s
ii  debconf                   1.2.10         Debian configuration management sy
ii  php4-imap                 4:4.1.2-5      IMAP module for php4
ii  php4-mysql                4:4.1.2-5      MySQL module for php4
ii  phpgroupware-admin        0.9.14-0.RC3.2 The phpGroupWare administration mo
ii  phpgroupware-api          0.9.14-0.RC3.2 The phpGroupWare API
ii  phpgroupware-core         0.9.14-0.RC3.2 The phpGroupWare core module
ii  phpgroupware-preferences  0.9.14-0.RC3.2 The phpGroupWare preferences manag
ii  phpgroupware-setup        0.9.14-0.RC3.2 The phpGroupWare setup III module
ii  wwwconfig-common          0.0.24         Debian web auto configuration.




Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>
To: hec@espuny.net, 164354@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 18:48:20 +0200
On Fri, Oct 11, 2002 at 08:59:00PM +0200, hec@espuny.net wrote:
> Package: phpgroupware
> Version: 0.9.14-0.RC3.2
> Severity: serious
> Tags: patch
> Justification: Policy 6.3
> 
> postrm script stops in non-interactive mode (which is one of the worst
> debconf practices)

You do not even know what you are talking about.
-- 
Luca - De Whiskey's - De Vitis              | Elegant or ugly code as well
aliases: Luca ^De [A-Z][A-Za-z\-]*[iy]'\?s$ | as fine or rude sentences have
Luca, a wannabe ``Good guy''.               | something in common: they
local LANG="it_IT@euro"                     | don't depend on the language.



Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Hugo Espuny <hec@espuny.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 164354@bugs.debian.org (full text, mbox):

From: Hugo Espuny <hec@espuny.net>
To: "Luca - De Whiskey's - De Vitis" <luca@linuxasylum.net>
Cc: 164354@bugs.debian.org
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 19:08:35 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Luca - De Whiskey's - De Vitis wrote:

|On Fri, Oct 11, 2002 at 08:59:00PM +0200, hec@espuny.net wrote:
|
|>Package: phpgroupware
|>Version: 0.9.14-0.RC3.2
|>Severity: serious
|>Tags: patch
|>Justification: Policy 6.3
|>
|>postrm script stops in non-interactive mode (which is one of the worst
|>debconf practices)
|
|
|You do not even know what you are talking about.

~ Well, i hope so. But if not, of course i am in the mood of rectificate
myself.

I am talking strictily about a bug discover in phpgroupware. You do not
seem polite enough, and this is not a good Debian maintainer practice also.

- --

"I've seen things you people wouldn't believe, huh!
~  Attack ships on fire off the shoulder of Orion.
~  I've watched C-beams glittering in the dark near the Tannhauser Gate.
~  All those moments will be lost in time, like tears ... in the rain.
~  Time to die."
~    -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <hec@espuny.net>
~     Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)
Comment: Using GnuPG with Debian - http://enigmail.mozdev.org

iD8DBQE9qFcT0kqCN+gHTs8RAu95AKCMdpICcoIm8ea7IESS4P+6IplaZgCgpG6A
dHbPkb3IxP197JV2fpvo+DU=
=vtws
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 164354@bugs.debian.org (full text, mbox):

From: Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>
To: control@bugs.debian.org, hec@espuny.net, 164354@bugs.debian.org
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 19:01:21 +0200
reassign 164354 debconf
severity 164354 important
merge 164396 164354

On Fri, Oct 11, 2002 at 08:59:00PM +0200, hec@espuny.net wrote:
> Package: phpgroupware
> Version: 0.9.14-0.RC3.2
> Severity: serious
> Tags: patch
> Justification: Policy 6.3

Why did you filed a serious bug to phpgroupware while filing the same one
with a lesser severity to debconf?

phpgroupware follow the debconf specification as far as there is no documented
frontend reporting that the STOP command does not detect the end of a file.

ciao,
-- 
Luca - De Whiskey's - De Vitis              | Elegant or ugly code as well
aliases: Luca ^De [A-Z][A-Za-z\-]*[iy]'\?s$ | as fine or rude sentences have
Luca, a wannabe ``Good guy''.               | something in common: they
local LANG="it_IT@euro"                     | don't depend on the language.



Bug reassigned from package `phpgroupware' to `debconf'. Request was from Luca - De Whiskey's - De Vitis <luca@linuxasylum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Luca - De Whiskey's - De Vitis <luca@linuxasylum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 164354 164396. Request was from Luca - De Whiskey's - De Vitis <luca@linuxasylum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#164354; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #36 received at 164354@bugs.debian.org (full text, mbox):

From: Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>
To: Hugo Espuny <hec@espuny.net>
Cc: 164354@bugs.debian.org
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 19:08:26 +0200
On Sat, Oct 12, 2002 at 07:08:35PM +0200, Hugo Espuny wrote:
> ~ Well, i hope so. But if not, of course i am in the mood of rectificate
> myself.
> 
> I am talking strictily about a bug discover in phpgroupware. You do not
> seem polite enough, and this is not a good Debian maintainer practice also.

You continue not to know what are you talking about, and I'm not willing to
explain it to you. Fell free to think whatever you like about me.
-- 
Luca - De Whiskey's - De Vitis              | Elegant or ugly code as well
aliases: Luca ^De [A-Z][A-Za-z\-]*[iy]'\?s$ | as fine or rude sentences have
Luca, a wannabe ``Good guy''.               | something in common: they
local LANG="it_IT@euro"                     | don't depend on the language.



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#164354; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Hugo Espuny <hec@espuny.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #41 received at 164354@bugs.debian.org (full text, mbox):

From: Hugo Espuny <hec@espuny.net>
To: "Luca - De Whiskey's - De Vitis" <luca@linuxasylum.net>
Cc: control@bugs.debian.org, 164354@bugs.debian.org
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 19:29:17 +0200
Luca,

First of all i am not trying to kidding or bothering you; just make my job.

If phpgroupware uninstallation process finish without returning to 
prompt, this seems to me as serious policy violation. And also to you AFAIK.

It is your responsibility to correct it. If you feel you should only 
reassign the bug to debconf, i suppose this is correct.

Luca - De Whiskey's - De Vitis wrote:

>reassign 164354 debconf
>severity 164354 important
>merge 164396 164354
>
>On Fri, Oct 11, 2002 at 08:59:00PM +0200, hec@espuny.net wrote:
>  
>
>>Package: phpgroupware
>>Version: 0.9.14-0.RC3.2
>>Severity: serious
>>Tags: patch
>>Justification: Policy 6.3
>>    
>>
>
>Why did you filed a serious bug to phpgroupware while filing the same one
>with a lesser severity to debconf?
>
>phpgroupware follow the debconf specification as far as there is no documented
>frontend reporting that the STOP command does not detect the end of a file.
>
>ciao,
>  
>


-- 

"I've seen things you people wouldn't believe, huh!
 Attack ships on fire off the shoulder of Orion.
 I've watched C-beams glittering in the dark near the Tannhauser Gate.
 All those moments will be lost in time, like tears ... in the rain.
 Time to die."
   -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <hec@espuny.net>
    Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29






Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#164354; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Hugo Espuny <hec@espuny.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #46 received at 164354@bugs.debian.org (full text, mbox):

From: Hugo Espuny <hec@espuny.net>
To: "Luca - De Whiskey's - De Vitis" <luca@linuxasylum.net>
Cc: 164354@bugs.debian.org
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 19:32:44 +0200
>You continue not to know what are you talking about, and I'm not willing to
>explain it to you. Fell free to think whatever you like about me.
>  
>

Well, that's only your opinion. I don't care very much about it. And of 
course, as you are showing right now with your attitude, i don't have 
good fellings about you.

-- 

"I've seen things you people wouldn't believe, huh!
 Attack ships on fire off the shoulder of Orion.
 I've watched C-beams glittering in the dark near the Tannhauser Gate.
 All those moments will be lost in time, like tears ... in the rain.
 Time to die."
   -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <hec@espuny.net>
    Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29






Tags removed: patch Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debconf@packages.qa.debian.org:
Bug#164354; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #57 received at 164354@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Hugo Espuny <hec@espuny.net>, 164354@bugs.debian.org
Cc: Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>
Subject: Re: Bug#164354: phpgroupware postrm halt the purge/uninstalltion process
Date: Sat, 12 Oct 2002 13:55:31 -0400
[Message part 1 (text/plain, inline)]
Hugo Espuny wrote:
> 
> >You continue not to know what are you talking about, and I'm not willing to
> >explain it to you. Fell free to think whatever you like about me.
> > 
> >
> 
> Well, that's only your opinion. I don't care very much about it. And of 
> course, as you are showing right now with your attitude, i don't have 
> good fellings about you.

Take it to private mail guys.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org:
Bug#164354; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joey@kitenet.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>, debconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #62 received at 164354@bugs.debian.org (full text, mbox):

From: Joey Hess <joey@kitenet.net>
To: hec@espuny.net
Cc: 164396@bugs.debian.org, 164354@bugs.debian.org
Subject: Re: Bug#164396: debconf: Debconf's frontend fail to detect finish of maintainer scripts on a perl 5.8.0 envirovment
Date: Sat, 12 Oct 2002 14:54:59 -0400
[Message part 1 (text/plain, inline)]
hec@espuny.net wrote:
> On Sat, Oct 12, 2002 at 01:54:19PM -0400, Joey Hess wrote:
> 
> > Do these start daemons? 
> 
> They could restart the webserver throught the wwwconfig-common
> interface.

> I have isolate a little bit the problem. It seems to occur only when you
> ask debconf to restart the webserver (tested with apache). If you ask
> not to configure any webserver, it seems to die properly.
 
Then they probably need to tell debconf when to stop. I suppose I'll
merge this with #50595 and unmerge #164354 and reassign that back to
phpgroupware.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Tags removed: moreinfo Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #164354 from all other report(s). Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `debconf' to `phpgroupware'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Hugo Espuny <hec@espuny.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #73 received at 164354@bugs.debian.org (full text, mbox):

From: Hugo Espuny <hec@espuny.net>
To: Joey Hess <joey@kitenet.net>
Cc: 164396@bugs.debian.org, 164354@bugs.debian.org
Subject: Re: Bug#164396: debconf: Debconf's frontend fail to detect finish of maintainer scripts on a perl 5.8.0 envirovment
Date: Sat, 12 Oct 2002 21:01:09 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Joey Hess wrote:

|
|Then they probably need to tell debconf when to stop. I suppose I'll
|merge this with #50595 and unmerge #164354 and reassign that back to
|phpgroupware.

OK.

I filled the bug against debconf because it seems to weird that this
behaviour just appears when upgraded to perl 5.8.0, but not when
installing on a machine with the previous version of perl.

If you feel that's the way, it's OK with me.

Regards.

Hugo Espuny

- --

"I've seen things you people wouldn't believe, huh!
~  Attack ships on fire off the shoulder of Orion.
~  I've watched C-beams glittering in the dark near the Tannhauser Gate.
~  All those moments will be lost in time, like tears ... in the rain.
~  Time to die."
~    -- Roy Batty, nexus 6 Tyrrel Corp. replicant, 2019 AC, L.A. --

pub  1024D/E8074ECF 2002-06-28 Hugo Espuny <hec@espuny.net>
~     Key fingerprint = D324 3DC4 1F2A 0936 DEB9  A4D9 D24A 8237 E807 4ECF
sub  2048g/5FE11467 2002-09-29

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)
Comment: Using GnuPG with Debian - http://enigmail.mozdev.org

iD8DBQE9qHF10kqCN+gHTs8RAtchAKCRh/C7xWrbwE7pGl4oCTCfnnAtBwCcDPPR
7GPsS5Vy+9F66lSWcmh4JRQ=
=BcaX
-----END PGP SIGNATURE-----





Severity set to `important'. Request was from Hugo Espuny <hec@espuny.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joey@kitenet.net>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #80 received at 164354@bugs.debian.org (full text, mbox):

From: Joey Hess <joey@kitenet.net>
To: Luca - De Whiskey's - De Vitis <luca@linuxasylum.net>, 164354@bugs.debian.org
Subject: Re: Processed: reassign 164354 to phpgroupware
Date: Sat, 12 Oct 2002 20:12:19 -0400
[Message part 1 (text/plain, inline)]
Luca - De Whiskey's - De Vitis wrote:
> I've read the reports, but i fail to understands why this bug still belongs to
> phpgroupware (or wwwconfig-common).

The package runs a daemon that does not close debconf's FD, and uses
debconf. Therefore, the postinst will hang when the package is
installed. Therefore the package needs to be fixed.

Debconf might eventually be changed to not have this requirement, but as
it is it documents this problem in debconf-devel(8), and as removing the
problem from debconf would be a very large and involved change, and as
debconf already has plenty of bug reports in this area, well.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Tags added: sid Request was from Hugo Espuny <hec@espuny.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luca - De Whiskey's - De Vitis <luca@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <hec@espuny.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 164354-close@bugs.debian.org (full text, mbox):

From: Luca - De Whiskey's - De Vitis <luca@debian.org>
To: 164354-close@bugs.debian.org
Subject: Bug#164354: fixed in phpgroupware-phpgroupware 0.9.14.000-1
Date: Mon, 18 Nov 2002 13:37:24 -0500
We believe that the bug you reported is fixed in the latest version of
phpgroupware-phpgroupware, which is due to be installed in the Debian FTP archive:

phpgroupware-core_0.9.14.000-1_all.deb
  to pool/main/p/phpgroupware-phpgroupware/phpgroupware-core_0.9.14.000-1_all.deb
phpgroupware-phpgroupware_0.9.14.000-1.diff.gz
  to pool/main/p/phpgroupware-phpgroupware/phpgroupware-phpgroupware_0.9.14.000-1.diff.gz
phpgroupware-phpgroupware_0.9.14.000-1.dsc
  to pool/main/p/phpgroupware-phpgroupware/phpgroupware-phpgroupware_0.9.14.000-1.dsc
phpgroupware_0.9.14.000-1_all.deb
  to pool/main/p/phpgroupware-phpgroupware/phpgroupware_0.9.14.000-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 164354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca - De Whiskey's - De Vitis <luca@debian.org> (supplier of updated phpgroupware-phpgroupware package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Nov 2002 17:37:43 +0100
Source: phpgroupware-phpgroupware
Binary: phpgroupware phpgroupware-core
Architecture: source all
Version: 0.9.14.000-1
Distribution: unstable
Urgency: low
Maintainer: Luca - De Whiskey's - De Vitis <luca@debian.org>
Changed-By: Luca - De Whiskey's - De Vitis <luca@debian.org>
Description: 
 phpgroupware - Web based GroupWare system written in PHP
 phpgroupware-core - The phpGroupWare core module
Closes: 136319 145900 151189 152126 154480 154825 163118 164354 164356 165934 167390
Changes: 
 phpgroupware-phpgroupware (0.9.14.000-1) unstable; urgency=low
 .
   * Stepping from experimental to unstable (Closes: #165934).
   * Official 0.9.14 release (Closes: #136319, #145900, #151189).
   * Added call to db_stop in debian/phpgroupware.postrm (Closes: #164354).
   * Moved php dependencies to phpgroupware-core package.
   * Added missing dependency to php3-xml (Closes: #167390, #154480).
     + Added php3-xml | php4-cgi-xml | php4 | php4-cgi to phpgroupware-core
       package Depends field.
   * Added display or $error variable in debian/phpgroupware.postinst
     (Closes: #164356, #163118).
   * Modified debian/phpgroupware.config.
     + Changed the behaviour of configuration process not to configure postgres
       in any case. We'll only try to set it up if on localhost.
     + Removed the source of
       /usr/share/wwwconfig-common/pgsql-allowip.sh (Closes: #154825).
   * Modified debian/etc/apache.conf and added /var/tmp/phpgroupware (Closes: #152126).
Files: 
 8bfa186f0a0cba2544cc23630adae7c1 670 web optional phpgroupware-phpgroupware_0.9.14.000-1.dsc
 b895b0d8fe26bd01c591f3f065b834bc 90059 web optional phpgroupware-phpgroupware_0.9.14.000.orig.tar.gz
 f73cf3d203c9228db8dd621f8e470624 8160 web optional phpgroupware-phpgroupware_0.9.14.000-1.diff.gz
 6512899b303e37792f0b613e11dc7573 81248 web optional phpgroupware-core_0.9.14.000-1_all.deb
 3a29e3f75b7cddde9632640738991cb0 8612 web optional phpgroupware_0.9.14.000-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE92R0JhbmQdcKRDkERAvAWAJsEpON5nyKTEEztzJXcS4VGPKBbDgCeOkdN
KB+nYPUaiXS2ZZ0Wy72KYe4=
=Dq59
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Luca - De Whiskey's - De Vitis <luca@linuxasylum.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #94 received at 164354@bugs.debian.org (full text, mbox):

From: Joerg Friedrich <Joerg.Dieter.Friedrich@uni-konstanz.de>
To: Debian Bug Tracking System <164354@bugs.debian.org>
Subject: phpgroupware: additional info db_stop
Date: Fri, 31 Jan 2003 10:09:52 +0100
Package: phpgroupware
Version: N/A; reported 2003-01-31
Followup-For: Bug #164354

Hi Luca!

I resolved this problem by moving the db_stop command in postrm after
this lines:

# Automatically added by dh_installdebconf
if [ "$1" = purge -a -e /usr/share/debconf/confmodule ]; then
        . /usr/share/debconf/confmodule
        db_purge
fi



-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux hitchhiker 2.4.20 #1 Thu Jan 9 09:17:02 CET 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro




Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to fabien@tzone.org:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #99 received at 164354@bugs.debian.org (full text, mbox):

From: Fabien Ninoles <fabien@debian.org>
To: Debian Bug Tracking System <164354@bugs.debian.org>
Subject: phpgroupware: db_stop must be call after the debhelpers section.
Date: Fri, 07 Mar 2003 20:36:28 -0500
Package: phpgroupware
Version: N/A; reported 2003-03-07
Followup-For: Bug #164354

The hang happen because the db_stop is call BEFORE the debhelper
added section.  When a purge happen, debhelper try to call db_purge
on it but can't since the db is already disconnected.  Moving db_stop
after the debhelpers section make it run smoothly.

-- System Information
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux hawkmoon 2.4.20-powerpc-xfs #1 Thu Jan 23 21:30:13 CET 2003 ppc
Locale: LANG=fr_CA, LC_CTYPE=fr_CA




Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>, phpgroupware-phpgroupware@packages.qa.debian.org. Full text and rfc822 format available.

Message #104 received at 164354@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 164354@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch for 164354
Date: Sat, 12 Apr 2003 23:11:01 +0200
[Message part 1 (text/plain, inline)]
tags 164354 + patch
thanks

Hi.

My patch for 183896 solves this as well.

Cheers

T.
[phpgroupware.183896.diff (text/plain, inline)]
--- phpgroupware-phpgroupware-0.9.14.000/debian/phpgroupware.postrm.orig	Sat Apr 12 22:49:35 2003
+++ phpgroupware-phpgroupware-0.9.14.000/debian/phpgroupware.postrm	Sat Apr 12 22:37:21 2003
@@ -57,8 +57,16 @@
 				MSsql)		dbtype="mssql"	;;
 				Oracle)		dbtype="oracle"	;;
 			esac
-			. /usr/share/wwwconfig-common/${dbtype}-dropuser.sh
-			. /usr/share/wwwconfig-common/${dbtype}-dropdb.sh
+			if [ -e /usr/share/wwwconfig-common/${dbtype}-dropuser.sh ] ; then
+			  . /usr/share/wwwconfig-common/${dbtype}-dropuser.sh
+			else
+			  echo "Cannot drop user (can't find wwwconfig-common script)." >&2
+			fi
+			if [ -e /usr/share/wwwconfig-common/${dbtype}-dropdb.sh ] ; then
+			  . /usr/share/wwwconfig-common/${dbtype}-dropdb.sh
+			else
+			  echo "Cannot drop database (can't find wwwconfig-common script)." >&2
+			fi
 
 			rm -rf /var/lib/phpgroupware/
 		fi
@@ -66,14 +74,22 @@
 		rm -rf /etc/phpgroupware
 		for server in $webservers ; do
 			conffile="/etc/$server/httpd.conf"
-			. /usr/share/wwwconfig-common/apache-uninclude.sh
+			if [ -e /usr/share/wwwconfig-common/apache-uninclude.sh ] ; then
+			  . /usr/share/wwwconfig-common/apache-uninclude.sh
+			else
+			  echo "Cannot uninclude apache config part (can't find wwwconfig-common script)." >&2
+			fi
 			if [ "$status" = "purge" ] ;
 				then restart="$restart $server"
 			fi
 		done
 
 		servers="exim apache-ssl apache mysql postresql"
-		. /usr/share/wwwconfig-common/restart.sh
+		if [ -e /usr/share/wwwconfig-common/restart.sh ] ; then
+		  . /usr/share/wwwconfig-common/restart.sh
+		else
+		  echo "Cannot restart servers (can't find wwwconfig-common script)." >&2
+		fi
 
 		for dir in /usr/share/phpgroupware-core /var/www/phpgroupware ; do
 			if [ -d ${dir} ] ; then rm -rf ${dir} ; fi
@@ -97,8 +113,8 @@
 	;;
 esac
 
-db_stop
-
 #DEBHELPER#
+
+db_stop
 
 exit 0
[Message part 3 (application/pgp-signature, inline)]

Tags added: patch Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca - De Whiskey's - De Vitis <luca@debian.org>:
Bug#164354; Package phpgroupware. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.cx>:
Extra info received and forwarded to list. Copy sent to Luca - De Whiskey's - De Vitis <luca@debian.org>. Full text and rfc822 format available.

Message #113 received at 164354@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.cx>
To: 164354@bugs.debian.org
Subject: Patching the patch
Date: Fri, 29 Aug 2003 11:00:00 -0500
[Message part 1 (text/plain, inline)]
Hi,

Just a little change to the patch - I think it is better to check if the
files are executable rather than just existing.

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.cx - (+52-55)5630-9700 ext. 1366
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[patch (text/plain, attachment)]

Tags added: pending Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thomas Viehmann <tv@beamnet.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <hec@espuny.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #122 received at 164354-close@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 164354-close@bugs.debian.org
Subject: Bug#164354: fixed in phpgroupware 0.9.14.007-4
Date: Mon, 05 Jan 2004 01:47:20 -0500
Source: phpgroupware
Source-Version: 0.9.14.007-4

We believe that the bug you reported is fixed in the latest version of
phpgroupware, which is due to be installed in the Debian FTP archive:

phpgroupware-addressbook_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-addressbook_0.9.14.007-4_all.deb
phpgroupware-admin_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-admin_0.9.14.007-4_all.deb
phpgroupware-backup_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-backup_0.9.14.007-4_all.deb
phpgroupware-bookmarks_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-bookmarks_0.9.14.007-4_all.deb
phpgroupware-brewer_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-brewer_0.9.14.007-4_all.deb
phpgroupware-calendar_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-calendar_0.9.14.007-4_all.deb
phpgroupware-chat_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-chat_0.9.14.007-4_all.deb
phpgroupware-chora_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-chora_0.9.14.007-4_all.deb
phpgroupware-comic_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-comic_0.9.14.007-4_all.deb
phpgroupware-core_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-core_0.9.14.007-4_all.deb
phpgroupware-developer-tools_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-developer-tools_0.9.14.007-4_all.deb
phpgroupware-dj_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-dj_0.9.14.007-4_all.deb
phpgroupware-eldaptir_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-eldaptir_0.9.14.007-4_all.deb
phpgroupware-email_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-email_0.9.14.007-4_all.deb
phpgroupware-felamimail_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-felamimail_0.9.14.007-4_all.deb
phpgroupware-forum_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-forum_0.9.14.007-4_all.deb
phpgroupware-ftp_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-ftp_0.9.14.007-4_all.deb
phpgroupware-headlines_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-headlines_0.9.14.007-4_all.deb
phpgroupware-hr_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-hr_0.9.14.007-4_all.deb
phpgroupware-img_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-img_0.9.14.007-4_all.deb
phpgroupware-infolog_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-infolog_0.9.14.007-4_all.deb
phpgroupware-inv_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-inv_0.9.14.007-4_all.deb
phpgroupware-manual_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-manual_0.9.14.007-4_all.deb
phpgroupware-meerkat_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-meerkat_0.9.14.007-4_all.deb
phpgroupware-messenger_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-messenger_0.9.14.007-4_all.deb
phpgroupware-netsaint_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-netsaint_0.9.14.007-4_all.deb
phpgroupware-news-admin_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-news-admin_0.9.14.007-4_all.deb
phpgroupware-nntp_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-nntp_0.9.14.007-4_all.deb
phpgroupware-notes_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-notes_0.9.14.007-4_all.deb
phpgroupware-phonelog_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phonelog_0.9.14.007-4_all.deb
phpgroupware-phpgwapi_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpgwapi_0.9.14.007-4_all.deb
phpgroupware-phpsysinfo_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpsysinfo_0.9.14.007-4_all.deb
phpgroupware-phpwebhosting_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpwebhosting_0.9.14.007-4_all.deb
phpgroupware-polls_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-polls_0.9.14.007-4_all.deb
phpgroupware-preferences_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-preferences_0.9.14.007-4_all.deb
phpgroupware-projects_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-projects_0.9.14.007-4_all.deb
phpgroupware-registration_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-registration_0.9.14.007-4_all.deb
phpgroupware-setup_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-setup_0.9.14.007-4_all.deb
phpgroupware-skel_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-skel_0.9.14.007-4_all.deb
phpgroupware-soap_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-soap_0.9.14.007-4_all.deb
phpgroupware-stocks_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-stocks_0.9.14.007-4_all.deb
phpgroupware-todo_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-todo_0.9.14.007-4_all.deb
phpgroupware-xmlrpc_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware-xmlrpc_0.9.14.007-4_all.deb
phpgroupware_0.9.14.007-4.diff.gz
  to pool/main/p/phpgroupware/phpgroupware_0.9.14.007-4.diff.gz
phpgroupware_0.9.14.007-4.dsc
  to pool/main/p/phpgroupware/phpgroupware_0.9.14.007-4.dsc
phpgroupware_0.9.14.007-4_all.deb
  to pool/main/p/phpgroupware/phpgroupware_0.9.14.007-4_all.deb
phpgroupware_0.9.14.007.orig.tar.gz
  to pool/main/p/phpgroupware/phpgroupware_0.9.14.007.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 164354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Viehmann <tv@beamnet.de> (supplier of updated phpgroupware package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  3 Jan 2004 21:47:07 +0100
Source: phpgroupware
Binary: phpgroupware-stocks phpgroupware-skel phpgroupware-chora phpgroupware-email phpgroupware-netsaint phpgroupware-admin phpgroupware-meerkat phpgroupware-inv phpgroupware-notes phpgroupware-hr phpgroupware-preferences phpgroupware-felamimail phpgroupware-infolog phpgroupware-headlines phpgroupware-brewer phpgroupware-backup phpgroupware-news-admin phpgroupware-img phpgroupware-developer-tools phpgroupware-forum phpgroupware-nntp phpgroupware-chat phpgroupware-messenger phpgroupware-projects phpgroupware-polls phpgroupware-ftp phpgroupware-xmlrpc phpgroupware-dj phpgroupware-bookmarks phpgroupware-manual phpgroupware-calendar phpgroupware-phpsysinfo phpgroupware-eldaptir phpgroupware-registration phpgroupware-core phpgroupware-phonelog phpgroupware-setup phpgroupware-phpgwapi phpgroupware-comic phpgroupware-addressbook phpgroupware-phpwebhosting phpgroupware phpgroupware-todo phpgroupware-soap
Architecture: source all
Version: 0.9.14.007-4
Distribution: unstable
Urgency: low
Maintainer: Thomas Viehmann <tv@beamnet.de>
Changed-By: Thomas Viehmann <tv@beamnet.de>
Description: 
 phpgroupware - web based groupWare system written in PHP
 phpgroupware-addressbook - phpGrouhpWare addressbook management module
 phpgroupware-admin - phpGroupWare administration module
 phpgroupware-backup - phpGroupWare backup module
 phpgroupware-bookmarks - phpGroupWare bookmark management module
 phpgroupware-brewer - phpGroupWare homebrewing module
 phpgroupware-calendar - phpGroupWare calendar management module
 phpgroupware-chat - phpGroupWare chat module
 phpgroupware-chora - phpGroupWare CVS interface module
 phpgroupware-comic - phpGroupWare comic strip parser module
 phpgroupware-core - empty transitional package for phpGroupWare
 phpgroupware-developer-tools - phpGroupWare developer tools
 phpgroupware-dj - phpGroupWare mp3 db interface module
 phpgroupware-eldaptir - phpGroupWare LDAP tree editor module
 phpgroupware-email - phpGroupWare E-Mail client module
 phpgroupware-felamimail - phpGroupWare felamimail (Squirrelmail) module
 phpgroupware-forum - phpGroupWare forum module
 phpgroupware-ftp - phpGroupWare ftp module
 phpgroupware-headlines - phpGroupWare headlines catcher module
 phpgroupware-hr - phpGroupWare human resource management module
 phpgroupware-img - phpGroupWare image editor module
 phpgroupware-infolog - phpGroupWare infolog applcation
 phpgroupware-inv - phpGroupWare inventory module
 phpgroupware-manual - phpGroupWare on-line manual module
 phpgroupware-meerkat - phpGroupWare Meerkat's story module
 phpgroupware-messenger - phpGroupWare messenger module
 phpgroupware-netsaint - phpGroupWare NetSaint administration module
 phpgroupware-news-admin - phpGroupWare news administration interface
 phpgroupware-nntp - phpGroupWare newsgroup reader module
 phpgroupware-notes - phpGroupWare notes management module
 phpgroupware-phonelog - phpGroupWare phone logging module
 phpgroupware-phpgwapi - phpGroupWare API
 phpgroupware-phpsysinfo - phpGroupWare phpSysInfo module
 phpgroupware-phpwebhosting - phpGroupWare next generation file manager module
 phpgroupware-polls - phpGroupWare polling module
 phpgroupware-preferences - phpGroupWare preferences management module
 phpgroupware-projects - phpGroupWare projects management module
 phpgroupware-registration - phpGroupWare registration module
 phpgroupware-setup - phpGroupWare setup III module
 phpgroupware-skel - phpGroupWare skeleton module
 phpgroupware-soap - phpGroupWare SOAP module
 phpgroupware-stocks - phpGroupWare stock management module
 phpgroupware-todo - phpGroupWare todo list management module
 phpgroupware-xmlrpc - phpGroupWare XMLRPC module
Closes: 164354 166574 166579 170818 170820 170841 173871 181935 183896 183991 197702 201980 207777 207797 209692 209809 209817 209832 209941 209954 209980 209992 210043 210064 210143 210153 210176 211161 211639 216306 225342
Changes: 
 phpgroupware (0.9.14.007-4) unstable; urgency=low
 .
   * Uwe Steinmann and Jamin W. Collins did some more bug research.
     Quite a few were closed by the packaging changes and upstream
     bug fixing.
     - Preservation of user changes (Closes: #170820)
     - Configuration of apache-ssl on initial install (Closes: #166574)
     - fixed postrm bug dupe (Closes: #170841)
     - ldap schema now included (Closes: #197702)
     - README.Debian was written. (Closes: #170818)
     - Version display on login page even shows debian revision
       (Closes: #166579)
     - wwwconfig-common not called if removed during purge
       (Closes: #211161, #211639)
     - wwwconfig-common bug in mysql execution fixed (Closes: #207777)
     - '&' in passwords seems to work now (Closes: #181935)
     Fix permissions to /var/lib/phpgroupware/sessions
     This fixes php4 session type. (Closes: #173871)
   * The descriptions have been improved.
     Closes: #209809, #210153, #209817, #209941, #210043, #210176, #210064,
     #210143, #209692, #209954, #209832, #209980, #209992.
 .
 phpgroupware (0.9.14.007-3) unstable; urgency=low
 .
   * Various rules file improvements, allow splitting of source packages
     if desired.
   * Drop packages not yet in sid. (See debian/control.disabled in source.)
 .
 phpgroupware (0.9.14.007-2) unstable; urgency=low
 .
   * Some configuration (debconf use) modifications.
     (Good ideas by Jamin W. Collins (thanks!), bad mistakes by myself.)
     - Remove old debconf upgrade notice
     - Erase admin password in postinst/postrm and reprompt
       where needed.
     - Rephrase some questions.
     - Try to guess administrator name.
     - Reduce db options to mysql and postgres.
   * Fixes to the web based configuration in phpGroupWare
     (Again, thanks to Jamin)
     - Add big fat notice about passwords being displayed in header
       configuration until a fix for the fact itself is ready
     - Fix display of "configuration complete" (in setup/index.php)
       before the user has seen setup/config.php.
     - Improve some language-output. (English only, this needs to be
       better.)
   * Include some modules that had not been in control file.
   * Grant locking rights to phpgroupware mysql account (closes: #225342)
 .
 phpgroupware (0.9.14.007-1) unstable; urgency=low
 .
   * New upstream release
     Security fixes (Closes: #216306):
      - SQL injection in infolog (escaping strings in queries)
      - script injection in calendar
        (holiday files now need extension .txt)
        postinst of calendar will rename files in
        /usr/share/phpgroupware/calendar/phpgroupware.org
   * Remove empty phpgroupware/examples directory
     (Suggestion by Uwe Steinmann, thanks)
   * Fix permissions of files directory (Closes: #207797)
   * New Debian maintainer.
   * Remove link /usr/share/phpgroupware/files, this is needed
     to fix vfs storage problem noted in CAN-2003-0599 and
     addressed by version 0.9.14.005.
   * Fold phpgroupware-core package into phpgroupware.
   * Tweak the build process to weed out lintian errors and reduce
     the number of warnings.
 .
 phpgroupware (0.9.14.006-1) unstable; urgency=low
 .
   * Inofficial release not for debian general usage.
   * New upstream release
   * Corrected illfix to #183896. (Correction pointed out by Luca.)
 .
 phpgroupware (0.9.14.005-1) unstable; urgency=low
 .
   * New upstream version
 .
     Includes security fixes for
     - cross site scripting (CAN-2003-0504),
       see <http://www.security-corporation.com/articles-20030702-005.html>
     - sql insertion (CAN-2003-0657)
     - vfs storage in document dir now prohibited (CAN-2003-0599)
     - Remove $appdir in includes in tables_update.inc.php to prevent
       execution of arbitrary scripts.
     Closes: #201980
 .
   * Repackaging more or less from scratch.
     - Used parts from Luca's / Tilo's packaging.
       See changelog.old.gz for details.
     - Undo source split.
   * Skip invocation wwwconfig-common's utils when they're not present.
     (Closes: #183896)
   * Call db_stop after debhelper includes. (Closes: #164354)
   * Add patch by Toni Mueller to fix manageheader.php's inclusion of
     header.inc.php. (Closes: #183991).
Files: 
 ec4234cdc7cdb0c680d16ebfc5a5c33c 1544 web optional phpgroupware_0.9.14.007-4.dsc
 928d82976cd179b8117b22fea01c1c31 26288 web optional phpgroupware_0.9.14.007-4.diff.gz
 7943d33781c7d38f60a5035eee9558cc 7066920 web optional phpgroupware_0.9.14.007.orig.tar.gz
 0c8cccb202b11cb094658d1cf6b635e9 117188 web optional phpgroupware_0.9.14.007-4_all.deb
 b4f3c7da6cfe867b56ea891c6d7ff679 3960 web optional phpgroupware-core_0.9.14.007-4_all.deb
 86f9e1068b441d92ec3a81508fa71af5 84426 web optional phpgroupware-addressbook_0.9.14.007-4_all.deb
 f873f801dbe56f831bbdecbcb85f3a15 139868 web optional phpgroupware-admin_0.9.14.007-4_all.deb
 44e2e89b44bdf5a07d5fd3b03febae48 24052 web optional phpgroupware-backup_0.9.14.007-4_all.deb
 4c007db84e19f79eda1449a4ff29f794 110924 web optional phpgroupware-bookmarks_0.9.14.007-4_all.deb
 b47aef035fc21b1db07d12080fccd1d9 53538 web optional phpgroupware-brewer_0.9.14.007-4_all.deb
 37f9a517d2057a7c1c9513cd1ec7befb 250368 web optional phpgroupware-calendar_0.9.14.007-4_all.deb
 4da735437f9ef7e9a23226dca7923aa2 14812 web optional phpgroupware-chat_0.9.14.007-4_all.deb
 85d7feca770a28067190b2574201ef62 43082 web optional phpgroupware-chora_0.9.14.007-4_all.deb
 38f71ee40b8ab3b0299cadb87fb27ca1 225938 web optional phpgroupware-comic_0.9.14.007-4_all.deb
 1cbeb3949a6a429b1444a5a2dd11b58a 35768 web optional phpgroupware-dj_0.9.14.007-4_all.deb
 359f113b70bc0fb689ea608fa6aef2a3 46966 web optional phpgroupware-eldaptir_0.9.14.007-4_all.deb
 65a37032046deddac38dc8b2cb29199a 642902 web optional phpgroupware-email_0.9.14.007-4_all.deb
 f4252a25b00d5ba6bc35b6c1988c4fcb 153836 web optional phpgroupware-felamimail_0.9.14.007-4_all.deb
 b21adfe0034b255d2ba04c6d1dff3a88 38642 web optional phpgroupware-forum_0.9.14.007-4_all.deb
 b3297595b8e0dc0b119c5331d84fb0ff 29578 web optional phpgroupware-ftp_0.9.14.007-4_all.deb
 228a49e450821364d0eac70a0f7a4807 56988 web optional phpgroupware-headlines_0.9.14.007-4_all.deb
 408d31cea6252bd40ba4c6de578a2d55 12802 web optional phpgroupware-hr_0.9.14.007-4_all.deb
 552bd0dfe9e43f502ac74d80e894cbf2 27992 web optional phpgroupware-img_0.9.14.007-4_all.deb
 f2015d2067bbb90cb5fdb1db1754f7c8 92520 web optional phpgroupware-infolog_0.9.14.007-4_all.deb
 55c8444a95af4d57a5d2e32dc761a4f2 84000 web optional phpgroupware-inv_0.9.14.007-4_all.deb
 6c13ba8d8aaa660ffba6960eec2b9b3a 84580 web optional phpgroupware-manual_0.9.14.007-4_all.deb
 4869bd451be577406849e80f8d5b27bc 16130 web optional phpgroupware-meerkat_0.9.14.007-4_all.deb
 f072e1fea8d4b13f863e9fd22e619cae 19250 web optional phpgroupware-messenger_0.9.14.007-4_all.deb
 f15524779cb9a49aea13b85b24df4afd 76636 web optional phpgroupware-netsaint_0.9.14.007-4_all.deb
 f8f4a716fea5201359c9aa4a6b7573f9 38530 web optional phpgroupware-nntp_0.9.14.007-4_all.deb
 0a9a5ad7ff8743f7ba00d867cdf8596a 23748 web optional phpgroupware-notes_0.9.14.007-4_all.deb
 0e796128b2fcce3a43e2be808514fc6b 17836 web optional phpgroupware-phonelog_0.9.14.007-4_all.deb
 6ab01a4e6e710c3246510310681d74c5 943034 web optional phpgroupware-phpgwapi_0.9.14.007-4_all.deb
 5c19eab72a3f26a185d74d8baabe22a0 31674 web optional phpgroupware-phpsysinfo_0.9.14.007-4_all.deb
 d5fc54882016bc5b6ecd6db51f928119 61184 web optional phpgroupware-phpwebhosting_0.9.14.007-4_all.deb
 b7209842607c52c10d1779fba4e7ef2d 19742 web optional phpgroupware-polls_0.9.14.007-4_all.deb
 90c91ef68c0aa8cdace7a9964f538c00 39170 web optional phpgroupware-preferences_0.9.14.007-4_all.deb
 bed460e04cb635a759c30029b7939e32 90862 web optional phpgroupware-projects_0.9.14.007-4_all.deb
 d58a03a632adf418e5ed951401e5356b 25400 web optional phpgroupware-registration_0.9.14.007-4_all.deb
 232eb18f61f9ed075fdb4e95ac16b113 262562 web optional phpgroupware-setup_0.9.14.007-4_all.deb
 57be4c26e2e6697d0e909e180db2c6d6 14136 web optional phpgroupware-skel_0.9.14.007-4_all.deb
 59ec95051b4938017655505af3ee08ad 18698 web optional phpgroupware-soap_0.9.14.007-4_all.deb
 08fbe0c9c6394467a917cea6f955b950 16072 web optional phpgroupware-stocks_0.9.14.007-4_all.deb
 652385963a5f5f3f85a1aa428ec8cdf5 38044 web optional phpgroupware-todo_0.9.14.007-4_all.deb
 c9152aa958bd59edd05a35fb2c1d8379 56348 web optional phpgroupware-xmlrpc_0.9.14.007-4_all.deb
 f6e4bee29bb39409529e71ababfcfe9f 24502 web optional phpgroupware-developer-tools_0.9.14.007-4_all.deb
 29141fd1fb8f004b079b8a4ad27ea231 21438 web optional phpgroupware-news-admin_0.9.14.007-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/99vCW5ql+IAeqTIRAmnIAJ9uC5Lya1GerQfejT1rr1AZGyZrAwCfejcu
WfRver0yzhiNQdd+PYinsAk=
=1Bh+
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:43:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.